document.addEventListener('DOMContentLoaded', () => {
  // Save reflections to localStorage
  const textareas = document.querySelectorAll('textarea');
  textareas.forEach(textarea => {
    const savedValue = localStorage.getItem(textarea.placeholder);
    if (savedValue) {
      textarea.value = savedValue;
    }

    textarea.addEventListener('input', (e) => {
      localStorage.setItem(e.target.placeholder, e.target.value);
    });
  });

  // Smooth scroll for navigation
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Add scroll-based animations
  const observerOptions = {
    threshold: 0.1
  };

  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.style.opacity = '1';
        entry.target.style.transform = 'translateY(0)';
      }
    });
  }, observerOptions);

  document.querySelectorAll('.card').forEach(card => {
    card.style.opacity = '0';
    card.style.transform = 'translateY(20px)';
    observer.observe(card);
  });
});
